'VBScript: Einrichtung DramaT	v1.10 jan/20
'Das Skript kopiert die Datei DramaT.dotm in das Word-Vorlagenverzeichnis und ffnet sie.
Option Explicit
	Const myVersion = "3.5"
	Main
	
Sub Main	'*** Hauptroutine
	Dim app, fso, iWd, sMsg, sTitle, sFile, sDest, sPathDot	
	sTitle = "Einrichtung DramaT " & myVersion	
	sFile  = "DramaT.dotm"
'Start-Meldung
	If MsgBox("Einrichtung starten?", vbQuestion + vbYesNo, sTitle) <> vbYes Then Exit Sub
'Word suchen
	Set app = CreateObject("Word.Application")
	If Err.Number <> 0 Then 
		sMsg = "Microsoft Word ist nicht oder fehlerhaft installiert. Fehler " & Err.Number
		AbortMsg sMsg, sTitle
	End If
'Word-Version
	iWd = Int(app.Version)
	If iWd < 14 Then 
		app.Quit
		Set app = Nothing 
		sMsg = "Falsche Word-Version (" & iWd & "). Mindestens Word 2010 erforderlich."
		AbortMsg sMsg, sTitle
	End If
'Word-Verzeichnis fr Benutzervorlagen
	sPathDOT = app.Options.DefaultfilePath(2) '=wdUserTemplatesPath
	app.Quit
	Set app = Nothing
'berprfung von Word-Verzeichnissen
	Set fso = CreateObject("Scripting.FilesystemObject")
	If Not fso.FolderExists(sPathDOT) Then 
		sMsg = "Das Benutzervorlagen-Verzeichnis von Word ist nicht eingerichtet." _
		 & vbCr & "Bitte tragen Sie unter Optionen (Dateiablage) ein gltiges Verzeichnis ein."
		AbortMsg sMsg, sTitle
	End If
'Ausgangsverzeichnis prfen
	If sPathDOT = fso.GetFolder(".\").Path Then	'same folders - nothing to do  
		sMsg = "Die einzurichtende Datei " & sFile & vbCr & "liegt bereits im richtigen Verzeichnis:" & vbCr & sPathDOT
		AbortMsg sMsg, sTitle
	End If
'Existiert Zieldatei?
	sDest = sPathDOT & "\" & sFile 	
	If fso.FileExists(sDest) Then
		sMsg = "Achtung! Die Datei " & sFile & vbCr & "liegt bereits vor im Verzeichnis" & vbCr & sPathDOT & vbCr & "Datei ersetzen?"
		If MsgBox(sMsg, vbQuestion + vbYesNo + vbDefaultButton2, sTitle) <> vbYes Then
			AbortMsg "", sTitle
		End If
	End If
'Datei kopieren  
	fso.CopyFile ".\" & sFile, sPathDOT & "\", True
	If Err.Number <> 0 Then
		sMsg = "Fehler " & Err.Number & " beim Kopieren von " & sFile & " nach " & sPathDOT _
		  & vbCr & Err.Description
		AbortMsg sMsg, sTitle
	End If
'Erfolgsmeldung
	sMsg = sFile & " wurde in das zugehrige Verzeichnis kopiert:" & vbCr & sPathDOT
	MsgBox sMsg, vbInformation, sTitle
'Vorlage ffnen
	Set app = CreateObject("Word.Application")
	app.Documents.Open sDest
	app.Visible = True
End Sub

Sub AbortMsg(sMsg, sTitle)	'*** Abbruch mit Meldung
	On Error Resume Next
	If Len(sMsg) Then sMsg = sMsg & vbCr
	MsgBox  sMsg & "Einrichtung wurde abgebrochen.", vbInformation, sTitle
	WScript.Quit
End Sub
